##  for Mageia 9  ##

%define major 17
%define libname %mklibname cpuid %{major}
%define devname %mklibname cpuid -d

# turn off debuginfo package
%define debug_package %{nil}

Name:    libcpuid
Summary: Small C library for x86 CPU detection and feature extraction 
Version: 0.7.1
Release: 1.np9
License: BSD
Group:   System/Libraries
Url:     http://libcpuid.sourceforge.net
Source0: https://github.com/anrieff/libcpuid/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires: doxygen

%description
Small C library for x86 CPU detection and feature extraction.

#----------------------------------------------------------------------------

%package tools
Summary: Tools for x86 CPU detection and feature extraction
Group:   System/Configuration/Hardware

%description tools
Tools for x86 CPU detection and feature extraction.

%files tools
%{_bindir}/cpuid_tool
%{_mandir}/man3/cpuid_tool.3.xz

#----------------------------------------------------------------------------

%package -n %{libname}
Summary: Small C library for x86 CPU detection and feature extraction
Group:   System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically linked with %{name}.

%files -n %{libname}
%{_libdir}/libcpuid.so.%{major}*
%{_mandir}/man3/libcpuid.3.xz
%{_mandir}/man3/cpu_id_t.3.xz
%{_mandir}/man3/cpu_list_t.3.xz
%{_mandir}/man3/cpu_mark_t.3.xz
%{_mandir}/man3/cpu_raw_data_t.3.xz

#----------------------------------------------------------------------------

%package -n %{devname}
Summary: Headers for developing programs that will use %{name}
Group:   Development/Libraries
Requires: %{libname} 
Provides: %{name}-devel 

%description -n %{devname}
This package contains the headers that programmers will need to develop applications which will use %{name}.

%files -n %{devname}
%dir %{_includedir}/%{name}/
%{_includedir}/%{name}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/*

#----------------------------------------------------------------------------

%prep
%setup -q


%build
autoreconf -fi
%configure --disable-static
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install

# don't ship .la
find %{buildroot} -name "*.la" -delete


%changelog
* Thu Dec 12 2024 tomcat <> 0.7.1-1.np9
- 0.7.1

* Sat Sep 14 2024 tomcat <> 0.7.0-1.np9
- 0.7.0
- update major version to 17

* Sun Jun 02 2024 tomcat <> 0.6.5-1.np9
- 0.6.5

* Mon Oct 16 2023 tomcat <> 0.6.4-1.np9
- 0.6.4

* Mon Apr 24 2023 tomcat <> 0.6.3-1.np9
- 0.6.3

* Sun Feb 26 2023 tomcat <> 0.6.2-2.np9
- build fo Mageia 9

* Sun Nov 13 2022 tomcat <> 0.6.2-1.nora8
- 0.6.2

* Mon Oct 24 2022 tomcat <> 0.6.1-1.nora8
- 0.6.1
- add BR:doxygen

* Sun Oct 09 2022 tomcat <> 0.6.0-1.nora8
- 0.6.0

* Sat Dec 18 2021 tomcat <> 0.5.1-1.nora8
- import from PCLOS

